Name: tcc
Group: Development/Languages
Version: 0.9.26
Release: 3%{?dist}
Summary: The Smallest ANSI C compiler
License: LGPLv2+
Source0: http://download.savannah.gnu.org/releases/tinycc/%{name}-%{version}.tar.bz2
URL: http://www.tinycc.org/

BuildRequires: texinfo

%description
Tiny C Compiler - C Scripting Everywhere - The Smallest ANSI C compiler
-----------------------------------------------------------------------

Features:
--------

- SMALL! You can compile and execute C code everywhere, for example on
  rescue disks.

- FAST! tcc generates optimized x86 code. No byte code
  overhead. Compile, assemble and link about 7 times faster than 'gcc
  -O0'.

- UNLIMITED! Any C dynamic library can be used directly. TCC is
  heading torward full ISOC99 compliance. TCC can of course compile
  itself.

- SAFE! tcc includes an optional memory and bound checker. Bound
  checked code can be mixed freely with standard code.

- Compile and execute C source directly. No linking or assembly
  necessary. Full C preprocessor included.

- C script supported : just add '#!/usr/local/bin/tcc -run' at the first
  line of your C source, and execute it directly from the command
  line.

%prep
%setup -q
%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/*
%{_mandir}/man1/*
%{_includedir}/libtcc.h
%doc %{_datadir}/doc/tcc/*
%doc %{_datadir}/info/tcc-doc.info.gz

%changelog
* Sun Jun 28 2015 Sergey Avseyev <sergey.avseyev@gmail.com> - 0.9.26
- Initial package
